<?php

class presentXLS extends presentBase {

  public function getPlayerUrl() {
    return $this->getViewPath(false).'preview.html';
  }

  public function getPreview($width = 500, $height = 400) {
    return '<iframe src="'.$this->getPlayerUrl().'" width="'.$width.'" height="'.$height.'" frameborder="0"></iframe>';
  }

  public function getThumbnail($options) {
    if ($this->present->getPrThumbnail() == 1) return parent::getThumbnail($options);
    return image_tag($this->thumbRoot.'uploads/thumbnails/xls.jpg', $options);
  }

  public function getSmallThumbnail($options) {
    if ($this->present->getPrThumbnail() == 1) return parent::getSmallThumbnail($options);
    return image_tag($this->thumbRoot.'uploads/thumbnails/xls-small.gif', $options);
  }
}
